> For the complete documentation index, see [llms.txt](https://docs.hub88.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hub88.io/developer-docs/operator-api-reference/ondemand-api.md).

# OnDemand API

The OnDemand API is a specialized API available upon request. For accessing or setting up this functionality, please contact your technical contact on Hub88's side.&#x20;

***

## Get Supplier data - custom on demand endpoints

## POST /operator/generic/v2/service/provider\_proxy

> OnDemand API is an opportunity for Operators to be able to call a certain game Supplier’s endpoints via Hub88. \
> &#x20;The proxy endpoint(s) are available by request, please contact your account manager.&#x20;

```json
{"openapi":"3.1.1","info":{"title":"Hub88","version":"2.0"},"tags":[{"name":"On Demand API","description":"Specialized APIs available upon request."}],"paths":{"/operator/generic/v2/service/provider_proxy":{"post":{"tags":["On Demand API"],"summary":"","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/provider_response"}}}}},"parameters":[{"schema":{"type":"string"},"required":true,"name":"X-Hub88-Signature","in":"header","description":"RSA-SHA256 is used to sign the request body using the private key. The signature is validated using the public key associated with the provided `operator_id`."}],"description":"OnDemand API is an opportunity for Operators to be able to call a certain game Supplier’s endpoints via Hub88. \n The proxy endpoint(s) are available by request, please contact your account manager. ","requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["operator_id","user","currency","game_code","provider_request"],"properties":{"user":{"description":"","$ref":"#/components/schemas/user"},"operator_id":{"description":"","$ref":"#/components/schemas/operator_id"},"game_code":{"description":"","$ref":"#/components/schemas/game_code"},"currency":{"description":"","$ref":"#/components/schemas/currency"},"provider_request":{"description":"","$ref":"#/components/schemas/provider_request"}}}}},"required":true,"description":""}}}},"components":{"schemas":{"provider_response":{"description":"","type":"object","required":["provider_response","status_code"],"properties":{"provider_response":{"type":"object","description":"The response from a Provider/Supplier."},"status_code":{"$ref":"#/components/schemas/status_code"}}},"status_code":{"type":"integer","description":"The HTTP status code of the response on Provider/Supplier side."},"user":{"type":"string","minLength":3,"description":"The unique user ID in the Operator’s system. In case of DEMO gameplay, this parameter may be omitted."},"operator_id":{"type":"integer","description":"Unique identifier for the Operator in Hub88 system. Used to authorize incoming requests. You can obtain your `operator_id` from the Hub88 BackOffice after your Operator entity is registered and set up in the Hub88 system by the internal teams."},"game_code":{"type":"string","description":"The unique game identifier in Hub88 system in the form of a string. `game_code` can be obtained from the `/game/list` endpoint."},"currency":{"type":"string","enum":["BSD","TTD","ZMW","BMD","USD","BYR","UGX","HKD","MGA","GIP","UZS","MKD","PTS","mLTC","EGP","AWG","CZK","ILS","MZN","TND","XPF","SOS","DOP","RUB","KRW","BTN","KGS","BAM","AOA","SOC","AMS","BND","RSD","FKP","PEN","EOS","GHS","JPY","TRY","SBD","UAH","LTL","FJD","GNF","MDL","AFN","ZAR","MOP","TJS","BOB","JMD","QAR","IRR","SYP","XXX","NAD","MYR","CUP","NOK","BGN","KPW","MNT","NZD","uETH","SGD","PYG","OMR","DZD","EUR","TMT","MMK","PTQ","ANG","TZS","CRC","VES","ETB","THB","ZWD","LYD","CHF","MVR","KES","CVE","LSL","KMF","SZL","KYD","BRL","AED","WST","YER","ALL","TRX","HUF","GTQ","uBTC","IDR","MWK","CUC","DKK","TWD","XCD","BBD","LRD","KZT","JOD","BYN","BIF","PLN","SDG","VUV","SEK","BDT","HNL","BWP","VND","ISK","SLL","BHD","HTG","USDT","ADA","MUR","ERN","uLTC","LKR","COP","GEL","AUD","GBP","CAD","PHP","PAB","DJF","GMD","PKR","NIO","AMD","RWF","RON","NGN","TOP","UYU","AZN","SRD","KWD","PGK","CDF","SAR","IQD","XRP","SCR","mETH","MAD","GYD","INR","LBP","ARS","MXN","CLP","BNB","CNY","KHR","LAK","HRK","BZD","SSP","XOF","X5T","MRO","NPR","mBTC"],"description":"The [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code. The following list contains all currencies supported by our system. Note that native gameplay support for these currencies may vary per Provider. Please contact us to know which Provider supports which currencies."},"provider_request":{"type":"object","description":"","required":["action","payload"],"properties":{"action":{"$ref":"#/components/schemas/supplier_action"},"payload":{"type":"object","description":"Blackbox payload which will be sent to supplier as is"}}},"supplier_action":{"type":"string","description":"Actions available for a Supplier. \n\nSupported actions: \n\n UpdateLimit (OneTouch) \n HistoryRoundData (OneTouch) \n PartnerLobby (OneTouch).","enum":["UpdateLimit","HistoryRoundData","ListLimit","PartnerLobby"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hub88.io/developer-docs/operator-api-reference/ondemand-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
